Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Keys APIs

Viewing SAP Key Versions

search

Viewing SAP Key Versions

Use the get /v1/cckm/sap/keys/{id}/versions API to view the list of SAP key versions.

Syntax

curl -k '<IP>/api/v1/cckm/sap/keys/{id}/versions' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} is the resource ID of the SAP key.

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.
version_id string Internal id of the SAP cloud key version.
version string Version of the SAP cloud key.
tenant string SAP key tenant.
enabled boolean Value for enabled. Specify true if the state of the key is enabled.
origin string Origin of the SAP key.
cloud_name string Cloud name of the SAP key.
creator_name string Name of the SAP key creator.
creator_id string ID of the SAP key creator.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limit integer Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/keys/0d2393aa-09d8-4edb-9052-151eba9b4dfa/versions?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI3ZjRlNmJkNi0wMzgzLTQ4MGMtYWZmZS0wYTQxNDgzZmVlNmUiLCJzdWIiOiJsb2NhbHxlNjM3NTVjOS01YzRhLTQ0NzUtOWI0Zi0wN2JjNzQxYjQ1MGEiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMjhkYjY1YWQtODhmMy00ZmIwLTk0OTAtM2Q4ZDJkNzk0NTU3Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImI0NTY1NzE4LWNjYmMtNGI0ZC1hNDMzLTAzM2VkMDdjMjJhZSIsImlhdCI6MTYzNDU1MjA2NiwiZXhwIjoxNjM0NTUyMzY2fQ.7pJMG11rZ4rfquCQNtTIm48Om3yWLmSFZyH6z2S8JHo' --compressed

Example Response

{
    "skip":0,
    "limit":10,
    "total":2,
    "resources":[
        {
            "id":"442a7d65-1f27-4d2e-96b3-c8144b363eb7",
            "uri":"kylo:kylo:cckm:sap-key-version:442a7d65-1f27-4d2e-96b3-c8144b363eb7",
            "account":"kylo:kylo:admin:accounts:kylo",
            "createdAt":"2021-10-18T10:15:54.628368Z",
            "updatedAt":"2021-10-18T10:15:54.625688Z",
            "cloud_name":"sap",
            "tenant":"thales-preprod",
            "groupId":"489ac34d-3e9c-4be3-8c1c-2c383bf31461",
            "sap_key_id":"0d2393aa-09d8-4edb-9052-151eba9b4dfa",
            "origin":"native",
            "enabled":true,
            "operations":[
                "DECRYPT",
                "ENCRYPT"
            ],
            "version":1,
            "meta":{
                "created":"2021-10-18T10:15:54.566230",
                "creatorId":"69f41156-5197-490d-aa5f-f1ffb0ab4e66",
                "creatorName":"creator.name@xyz.com"
            }
        },
        {
            "id":"4125bc1c-5502-484a-9475-ef86feaa6e3b",
            "uri":"kylo:kylo:cckm:sap-key-version:4125bc1c-5502-484a-9475-ef86feaa6e3b",
            "account":"kylo:kylo:admin:accounts:kylo",
            "createdAt":"2021-10-18T10:15:37.843406Z",
            "updatedAt":"2021-10-18T10:15:37.841277Z",
            "cloud_name":"sap",
            "tenant":"thales-preprod",
            "groupId":"489ac34d-3e9c-4be3-8c1c-2c383bf31461",
            "sap_key_id":"0d2393aa-09d8-4edb-9052-151eba9b4dfa",
            "origin":"native",
            "enabled":true,
            "operations":[
                "DECRYPT",
                "ENCRYPT"
            ],
            "version":0,
            "meta":{
                "created":"2021-10-18T10:15:38",
                "creatorId":"69f41156-5197-490d-aa5f-f1ffb0ab4e66",
                "creatorName":"creator.name@xyz.com"
            }
        }
    ]
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.